(* $Id: catpp.ml,v 1.3 2016/09/16 10:17:01 weis Exp $ *)

(* A simple pre-processor example for htmlc. *)

try
  while true do
(*  prerr_endline "Catpp: reading a line";*)
    if Scanf.Scanning.end_of_input Scanf.Scanning.stdin
      then raise End_of_file else begin
(*    prerr_endline "Catpp: stdin is not empty.";*)
      Scanf.bscanf Scanf.Scanning.stdin "%[^\n]\n" (fun l ->
(*      prerr_endline (Printf.sprintf "Catpp: line %s read." l);*)
        output_string stdout l;
        output_char stdout '\n';
        flush stdout;
(*  prerr_endline (Printf.sprintf "Catpp: line %s written." l); *)
      )
    end
  done
with
| End_of_file ->
(*  prerr_endline "Catpp: finishing.";*)
  exit 0
;;
