#######################################################################
#                                                                     #
#                                 Pio                                 #
#                                                                     #
#                    Polyglot Input/Output Library                    #
#                                                                     #
#               EPI Pomdapi, INRIA Paris - Rocquencourt               #
#                                                                     #
#  Copyright 2005-2014 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: configure_additional_options.profile,v 1.7.2.2 2017/11/17 19:09:23 fclement Exp $

PROFILE="$PROJECT_CONFIG_DIR/Pio_configure_additional_options.profile"
if test -f "$PROFILE"; then
    . "$PROFILE"
else
    $ECHO "Error: no Pio configure additional options profile." 1>&2
    exit $NONEXISTENT_FILE_ERROR
fi

print_additional_options_documentation () {
    :
}

parse_additional_options () {
    :
}

process_additional_options () {
    pio_process_additional_options
    IER=$?
    if test $IER -ne 0; then exit $IER; fi
}
