(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2013-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: unumbering_print.mli,v 1.3 2017/11/07 20:57:40 fclement Exp $*)

(** {3 Manually edited printers for numbering bijections} *)

val printer_value : ('a, 'a Unumbering.value) Og_types.printer_lifter;;
val print_value :
  'a Og_types.printer -> 'a Unumbering.value Og_types.top_printer
;;

val printer_t : ('key, 'key Unumbering.t) Og_types.printer_lifter;;
val print_t :
  'key Og_types.printer -> 'key Unumbering.t Og_types.top_printer
;;
