(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2013-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: uaffine_plane.mli,v 1.7 2017/11/07 20:57:39 fclement Exp $ *)

(** {3 Affine plane} *)

module Make : Uaffine_plane_spec.MAKER;;

module Natural :
  Uaffine_plane_spec.AFFINE_PLANE with type component = Unatural.t
;;

module Integer :
  Uaffine_plane_spec.AFFINE_PLANE with type component = int
;;

module Float :
  Uaffine_plane_spec.AFFINE_PLANE with type component = float
;;
