(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2013-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: optimization_status_types.mli,v 1.2 2017/05/31 17:27:43 fclement Exp $ *)

type optimization_status =
  | OS_Bad_initialization
  | OS_Convergence
  | OS_Degenerated_problem
  | OS_Stagnation
  | OS_Too_many_iterations
  | OS_Too_many_simulations
;;

type t = optimization_status;;
