/***********************************************************************/
/*                                                                     */
/*                              Ref-indic                              */
/*                                                                     */
/*                        Refinement indicators                        */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2013-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Hend Ben Ameur <hbenameur@yahoo.ca>                                */
/*  Francois Clement <Francois.Clement@inria.fr>                       */
/*  Pierre Weis <Pierre.Weis@inria.fr>                                 */
/*                                                                     */
/***********************************************************************/

/* $Id: worker_error_codes.h,v 1.12 2017/05/31 17:27:48 fclement Exp $ */

/*
 * Worker error codes (in the range 48-63).
 */

#ifndef _WORKER_ERROR_CODES_H_
#define _WORKER_ERROR_CODES_H_

#define WORKER_NOT_YET_IMPLEMENTED_ERROR 48
#define WORKER_UNBOUND_DIMENSION_ERROR 49
#define WORKER_UNKNOWN_OPTIMIZATION_STATUS_ERROR 50

#endif
